/*****************************************************************************
 * $Source: /expand6/cvsroot/charm/src/Common/conv-core/conv-trace.h,v $
 * $Author: olawlor $
 * $Date: 2000/11/29 06:27:06 $
 * $Revision: 2.5 $
 *****************************************************************************/

#ifndef _CONV_TRACE_H
#define _CONV_TRACE_H

#include "converse.h"

/* 
 * These functions are called from Converse, and should be provided C binding
 * by the tracing strategies.
 */

void traceInit(char **argv);
void traceBeginIdle(void);
void traceEndIdle(void);
void traceResume(void);
void traceSuspend(void);
void traceAwaken(void);
void traceUserEvent(int);
int  traceRegisterUserEvent(const char*);
void traceClose(void);
void traceBegin(void);
void traceEnd(void);

#ifndef CMK_OPTIMIZE
CpvExtern(int, traceOn);
#endif
CpvExtern(CthThread, curThread);

#endif
